Package: org.gradle.api

## [Java] Interface Transformer<OUT, IN>

- A `Transformer` transforms objects of type.

  Implementations are free to return new objects or mutate the incoming value.

  Parameters:
    `` - The type the value is transformed to.
    `` - The type of the value to be transformed.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `OUT` | `transform(IN in)` Transforms the given object, and returns the transformed value.

- - ### Method Detail

    - #### public OUT transform(IN in)

      Transforms the given object, and returns the transformed value.

      Parameters:
        `in` - The object to transform.
      Returns:
        The transformed object.